# binaries are exploits, intended to be used on remote systems
%define _binaries_in_noarch_packages_terminate_build 0

# exclude binaries from dependencies computing
%global __requires_exclude_from ^%{_datadir}/%{name}/udf/.*$
%global __provides_exclude_from ^%{_datadir}/%{name}/udf/.*$

Name:           sqlmap
Version:        1.4.12
Release:        %mkrel 1
Summary:        Automatic SQL injection and database takeover tool
Group:          Security
License:        GPL
URL:            http://sqlmap.org/
Source0:        https://github.com/sqlmapproject/sqlmap/archive/%{name}-%{version}.tar.gz
BuildRequires:  python3
BuildArch:      noarch

%description
sqlmap is an open source penetration testing tool that automates the process
of detecting and exploiting SQL injection flaws and taking over of database
servers. It comes with a powerful detection engine, many niche features for
the ultimate penetration tester and a broad range of switches lasting from
database fingerprinting, over data fetching from the database, to accessing
the underlying file system and executing commands on the operating system
via
out-of-band connections.

%prep
%setup -q

%install
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 755 sqlmap.py %{buildroot}%{_datadir}/%{name}
cp -pr data %{buildroot}%{_datadir}/%{name}
cp -pr extra %{buildroot}%{_datadir}/%{name}
cp -pr lib %{buildroot}%{_datadir}/%{name}
cp -pr plugins %{buildroot}%{_datadir}/%{name}
cp -pr tamper %{buildroot}%{_datadir}/%{name}
cp -pr thirdparty %{buildroot}%{_datadir}/%{name}

install -d -m 755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/sqlmap <<'EOF'
#!/bin/sh
cd %{_datadir}/%{name}
./sqlmap.py "$@"
EOF
chmod +x %{buildroot}%{_bindir}/sqlmap

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 sqlmap.conf %{buildroot}%{_sysconfdir}
pushd %{buildroot}%{_datadir}/%{name}
ln -s ../../..%{_sysconfdir}/sqlmap.conf .
popd

pathfix.py -pni "%{__python3} %{py3_shbang_opts}" \
    %{buildroot}%{_datadir}/%{name}

%files
%doc doc/*
%{_datadir}/%{name}
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Mon Dec 28 2020 guillomovitch <guillomovitch> 1.4.12-1.mga8
+ Revision: 1664601
- new version 1.4.12

* Fri Nov 06 2020 guillomovitch <guillomovitch> 1.4.11-1.mga8
+ Revision: 1643024
- new version 1.4.11

* Wed Oct 14 2020 guillomovitch <guillomovitch> 1.4.10-1.mga8
+ Revision: 1636090
- new version 1.4.10

* Sat Sep 05 2020 guillomovitch <guillomovitch> 1.4.9-1.mga8
+ Revision: 1622495
- new version 1.4.9

* Mon Aug 10 2020 guillomovitch <guillomovitch> 1.4.8-1.mga8
+ Revision: 1613084
- new version 1.4.8

* Fri Jul 03 2020 guillomovitch <guillomovitch> 1.4.7-1.mga8
+ Revision: 1601756
- new version 1.4.7

* Sat Jun 20 2020 guillomovitch <guillomovitch> 1.4.6-1.mga8
+ Revision: 1597609
- new version 1.4.6

* Tue May 05 2020 guillomovitch <guillomovitch> 1.4.5-1.mga8
+ Revision: 1580502
- new version 1.4.5

* Thu Apr 16 2020 guillomovitch <guillomovitch> 1.4.4-1.mga8
+ Revision: 1567823
- new version 1.4.4

* Tue Mar 10 2020 guillomovitch <guillomovitch> 1.4.3-1.mga8
+ Revision: 1555344
- new version 1.4.3

* Wed Feb 19 2020 umeabot <umeabot> 1.4.2-2.mga8
+ Revision: 1542502
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 guillomovitch <guillomovitch> 1.4.2-1.mga8
+ Revision: 1521577
- new version 1.4.2

* Sat Jan 04 2020 guillomovitch <guillomovitch> 1.4-1.mga8
+ Revision: 1476422
- new version 1.4

* Sat Sep 14 2019 guillomovitch <guillomovitch> 1.3.9-1.mga8
+ Revision: 1440792
- new version 1.3.9

* Thu Aug 15 2019 guillomovitch <guillomovitch> 1.3.8-1.mga8
+ Revision: 1429360
- new version 1.3.8

* Mon Jul 01 2019 guillomovitch <guillomovitch> 1.3.7-1.mga8
+ Revision: 1417236
- new version 1.3.7

* Mon Apr 22 2019 guillomovitch <guillomovitch> 1.3.4-1.mga7
+ Revision: 1394650
- new version 1.3.4

* Sat Mar 16 2019 guillomovitch <guillomovitch> 1.3.3-1.mga7
+ Revision: 1377963
- new version 1.3.3

* Sat Feb 16 2019 guillomovitch <guillomovitch> 1.3.2-1.mga7
+ Revision: 1367591
- new version 1.3.2

* Thu Jan 10 2019 guillomovitch <guillomovitch> 1.3-1.mga7
+ Revision: 1354161
- new version 1.3

* Sat Dec 15 2018 guillomovitch <guillomovitch> 1.2.12-1.mga7
+ Revision: 1341399
- new version 1.2.12

* Tue Oct 23 2018 guillomovitch <guillomovitch> 1.2.10-1.mga7
+ Revision: 1324669
- new version 1.2.10

* Fri Sep 21 2018 umeabot <umeabot> 1.2.9-2.mga7
+ Revision: 1291707
- Mageia 7 Mass Rebuild

* Sat Sep 08 2018 guillomovitch <guillomovitch> 1.2.9-1.mga7
+ Revision: 1257778
- new version 1.2.9

* Fri Aug 31 2018 guillomovitch <guillomovitch> 1.2.8-1.mga7
+ Revision: 1255967
- new version 1.2.8

* Fri Jul 06 2018 guillomovitch <guillomovitch> 1.2.7-1.mga7
+ Revision: 1242335
- new version 1.2.7

* Thu Jul 05 2018 guillomovitch <guillomovitch> 1.2-1.mga7
+ Revision: 1242011
- new version 1.2

* Wed Nov 01 2017 guillomovitch <guillomovitch> 1.1-1.mga7
+ Revision: 1175325
- new version 1.1

* Tue Feb 09 2016 umeabot <umeabot> 1.0-0.20140312.6.mga6
+ Revision: 952323
- Mageia 6 Mass Rebuild

* Mon Feb 16 2015 guillomovitch <guillomovitch> 1.0-0.20140312.5.mga5
+ Revision: 815250
- add exception for shipped binary exploits
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 guillomovitch <guillomovitch> 1.0-0.20140312.2.mga5
+ Revision: 605874
- ship missing modules

* Wed Mar 12 2014 guillomovitch <guillomovitch> 1.0-0.20140312.1.mga5
+ Revision: 602683
- switch to latest development snapshot, as 0.9 is two years old
- fix wrapper script (#12981)

* Fri Oct 18 2013 umeabot <umeabot> 0.9-9.mga4
+ Revision: 502369
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 0.9-7.mga3
+ Revision: 307152
- switch to Security group

* Tue Aug 23 2011 guillomovitch <guillomovitch> 0.9-6.mga2
+ Revision: 134955
- fix wrapper
- disable automatic dependencies, because of shipped exploits
- this is a noarch package
- stop deleting binaries, they are exploit payloads for the target
- fix wrapper script
- disable automatic svn lookup if pysvn is installed
- drop useless obsoletes tag
+ fwang <fwang>
- should be arch dependent package

* Wed Jul 20 2011 guillomovitch <guillomovitch> 0.9-1.mga2
+ Revision: 127303
- imported package sqlmap


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdv2011
+ Revision: 689092
- import sqlmap

